<template>
	<Provider>
		<router-view />
	</Provider>
</template>

<script setup>
import Provider from "@/components/Provider.vue";
import { useRouter } from "vue-router";
import { useStore } from "@/store";
import useLineLogin from "@/hooks/useLineLogin";
import Cookies from "js-cookie";

const router = useRouter();
const store = useStore();

router.beforeEach(async (to, from, next) => {
	document.title = to.meta.title;
	if (to.meta.requireAuth && !store.user.userId) {
		if (Cookies.get("access_token") !== undefined) {
			await useLineLogin();
			return next();
		}
		return next({ name: "login" });
	}
	next();
});
</script>

<style>
html,
body,
#app,
.n-config-provider {
	@apply h-full p-0 m-0 bg-[#F7F8FC];
}
</style>
